%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-robots
Version:	40.0
Release:	%mkrel 1
Summary:	GNOME Robots game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Robots
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
# For help
Requires:	yelp

%description
The classic game where you have to avoid a hoard of robots who are trying to
kill you. Each step you take brings them closer toward you. Fortunately they
aren't very smart and you also have a helpful teleportation gadget.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

sd "Name=Robots" "Name=GRobots" %buildroot/%{_datadir}/applications/org.gnome.Robots.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Robots.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Robots.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Robots.appdata.xml
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.Robots.service

%changelog
* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Fri Mar 27 2020 tex - 3.36.1-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Sat Jan 04 2020 tex - 3.34.1-1pclos2020
- new version

* Sun Sep 08 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
